Table of Contents

Class: RemoteCacheObserver | Twisted-0.17.4/twisted/spread/flavors.py
--- | ---

### I am a reverse-reference to the peer's RemoteCache.

I am generated automatically when a cache is serialized. I represent a reference to the client's RemoteCache object that will represent a particular Cacheable; I am the additional object passed to getStateToCacheAndObserveFor.

Methods |
--- | ---
__cmp__ __hash__ __init__ __repr__ callRemote remoteMethod
| __cmp__

    __cmp__ ( self,  other )

compare me to another RemoteCacheObserver

| __hash__

    __hash__ ( self )

generate a hash unique to all RemoteCacheObservers for this broker/perspective/cached triplet

| __init__

    __init__ (
            self,
            broker,
            cached,
            perspective,
            )

### (internal) Initialize me.

#### Arguments:

- broker: a pb.Broker instance.

- cached: a Cacheable instance that this RemoteCacheObserver corresponds to.

- perspective: a reference to the perspective who is observing this.

| __repr__

    __repr__ ( self )

| callRemote

    callRemote (
            self,
            name,
            *args,
            *kw,
            )

(internal) action method.

Exceptions |
--- | ---
ProtocolError( "You can't call a cached method when the " "object hasn't been given to the peer yet." )

| remoteMethod

    remoteMethod ( self,  key )

Get a RemoteMethod for this key.

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:32 2002 by HappyDoc version 2.0